apiVersion: kustomize.toolkit.fluxcd.io/v1
kind: Kustomization
metadata:
  name: ping-frontend
  namespace: flux-system
spec:
  dependsOn:
    - name: traefik
      namespace: flux-system  
    - name: tekton
      namespace: flux-system
    - name: tekton-tasks
      namespace: flux-system
    - name: docker-registry
      namespace: flux-system
    - name: linkerd
      namespace: flux-system
  interval: 10m0s
  path: ./flux/local-k3d/apps/ping-frontend
  prune: true
  sourceRef:
    kind: GitRepository
    name: flux-system
